/* David Leonard, 2002. Public domain. */

/*
 * Test program for testing the progress meter.
 * Updates progress bar every 1/8 second, but half way through
 * changes to provide a title, and extends the length.
 */

#include <stdio.h>
#include <unistd.h>
#include "progressbar.h"

int
main(argc, argv)
	int argc;
	char *argv[];
{
	struct progressbar *p;
	struct timespec t;
	int max = 50;
	int i;

	p = progressbar_start(stdout, max, NULL, 0);
	for (i = 0; i < max; i++) {
		progressbar_update(p, i);
		t.tv_sec = 0;
		t.tv_nsec = 1000000000 / 8;
		nanosleep(&t, NULL);
		if (i == 27) {
			max = 80;
			progressbar_change(p, max, "changed", 0);
		}
	}
	progressbar_update(p, max);
	progressbar_finish(p);
	exit(0);
}
